Skip to main content
GET
/
customers
/
{id}
Get customer
curl --request GET \
  --url https://us.api.flexprice.io/v1/customers/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://us.api.flexprice.io/v1/customers/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://us.api.flexprice.io/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address_city": "<string>",
  "address_country": "<string>",
  "address_line1": "<string>",
  "address_line2": "<string>",
  "address_postal_code": "<string>",
  "address_state": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "email": "<string>",
  "environment_id": "<string>",
  "external_id": "<string>",
  "id": "<string>",
  "integrations": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "entity_id": "<string>",
      "environment_id": "<string>",
      "id": "<string>",
      "metadata": {},
      "provider_entity_id": "<string>",
      "provider_type": "<string>",
      "tenant_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "<string>"
    }
  ],
  "metadata": {},
  "name": "<string>",
  "tenant_id": "<string>",
  "timezone": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Customer ID

Response

OK

Customer response object containing all customer information

address_city
string

AddressCity is the city of the customer's address

address_country
string

AddressCountry is the country of the customer's address (ISO 3166-1 alpha-2)

address_line1
string

AddressLine1 is the first line of the customer's address

address_line2
string

AddressLine2 is the second line of the customer's address

address_postal_code
string

AddressPostalCode is the postal code of the customer's address

address_state
string

AddressState is the state of the customer's address

created_at
string<date-time>
created_by
string
email
string

Email is the email of the customer

environment_id
string

EnvironmentID is the environment identifier for the customer

external_id
string

ExternalID is the external identifier for the customer

id
string

ID is the unique identifier for the customer

integrations
object[]
metadata
object

Metadata

name
string

Name is the name of the customer

status
enum<string>
Available options:
published,
deleted,
archived
tenant_id
string
timezone
string

Timezone is the customer's IANA timezone name (e.g. "Asia/Kolkata"). Defaults to "UTC". Inherited by subscriptions at creation time.

updated_at
string<date-time>
updated_by
string